% FB_GEN toolbox
%
% The purpose of this toolbox is to offer some tools to build and optimize
% synthesis filter banks. It is based on the methods proposed in Jerome
% Gauthier's PhD thesis. 
%
% Notes:
% - Some functions need Matlab's optimization toolbox installed.
% - To somewhat improve the computation times, the m files were compiled 
%   into p-code.
%
% Files
%   cent3              - Cost function for optimization of impulse responses.
%   cent5              - Cost function used for FB optimization
%   cent7              - Cost function for optimization of impulse responses.
%   cent8              - Cost function for optimization of impulse responses in symmetric case.
%   cent9              - Cost function for optimization of frequency responses in symmetric case.
%   FB_cmplx2real      - Converts a symmetric FV into real coefficients
%   FB_gen             - Computation of PR synthesis FB.
%   FB_gen_sym         - Computation of symmetric PR synthesis FB.
%   FB_optim_freq      - Optimization of the frequency responses of a synthesis FB 
%   FB_optim_freq_sym  - Optimization of symmetric synthesis FB using built-in function.
%   FB_optim_grad      - Optimization of synthesis FB using gradient algorithm.
%   FB_optim_impul     - Optimization of synthesis FB using built-in function.
%   FB_optim_impul_sym - Optimization of symmetric synthesis FB using built-in function.
%   FB_real2cmplx      - Converts real coefficients into their complex polyphase equivalent
%   FB_sym             - Creation of a symmetric FB from a non symmetric synthesis FB.
%   gradOptim          - Gradient used for optimization of impulse responses.
%   polyphase2impul    - Converts polyphase matrix into impulse coefficients. 

