% FB_real2cmplx: Converts a symmetric FV into real coefficients
% [Mcurt,Hcurt]=FB_real2cmplx(McurtR,N,k,k2,M)
%
% FB_real2cmplx: This function is the inverse function of FB_REAL2CMPLX, it
% computes the real coefficients (needed for the symmetric optimization)
% from the FB complex polyphase coefficients.
%
% Inputs:
% Mcurt is the matrix describing the synthesis filters 
% N is the downsampling factor 
% k oversampling factor
% k2 is the redundancy factor (k' in articles)
% P1, P2 are the overlapping factors for the synthesis FB
% M is the matrix of the analysis FB
% Outputs:
% Mcurt is the matrix of real coefficients
% HcurtR is a matrix with real coefficients linked to the analysis FB
%
% Example :
%  N=8; k=3; k2=7/4;
%  [McurtR,P1,P2,M,HcurtR]=FB_gen_sym(N,k,k2);
%
% See also FB_GEN_SYM, FB_REAL2CMPLX.
%
% Input:        N, k, P1, P2 (int), k2 (double), Mcurt, M (array of
%               double/complex), 
% Optional:      
% Output:       HcurtR, McurtR (array of double), 
% Uses:         
% Used in:
% Comments:
% Notes:
% Created:      2008/10/17
% Modified:     
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@gmail.com
%   Institution: IFP, Technology Department
%   (c) All right reserved
