% FB_gen: Computation of PR synthesis FB.
% [Mcurt,P1,P2,M,Hcurt]=FB_gen(N,k,k2,M,ha)
%
% FB_gen: This function computes a synthesis FB for a given analysis FB. If
% no analysis FB is given, then one is generated.
%
% Inputs:
% N is the downsampling factor 
% k oversampling factor
% k2 is the redundancy factor (k' in articles)
% ha is the window to put on analysis FB
% M is the matrix of the analysis FB
% Outputs:
% Mcurt is a matrix describing one synthesis FB
% P1, P2 are the overlapping factors for the synthesis FB
% M is the matrix of the analysis FB
% Hcurt is a matrix describing the analysis FB
%
% Example :
%  N=8; k=3; k2=7/4;
%  [Mcurt,P1,P2,M,Hcurt]=FB_gen(N,k,k2);
%
% See also FB_GEN_SYM.
%
% Input:        M (array of double/complex), N, k (int), k2 (double)
% Optional:     
% Output:       Hcurt, Mcurt, M (array of double/complex), P (int)
% Uses:         
% Used in:
% Comments:
% Notes:
% Created:      2007/08/28
% Modified:     2008/04/30
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
