% FB_gen_sym: Computation of symmetric PR synthesis FB.
% [Mcurt,P1,P2,M,HcurtR]=FB_gen_sym(N,k,k2,M,ha)
%
% FB_gen: This function computes a symmetric synthesis FB for a given 
% analysis FB. If no analysis FB is given, then one is generated.
%
% Inputs:
% N is the downsampling factor 
% k oversampling factor
% k2 is the redundancy factor (k' in articles)
% ha is the window to put on analysis FB
% M is the matrix of the analysis FB
% Outputs:
% Mcurt is a matrix describing one synthesis FB
% P1, P2 are the overlapping factors for the synthesis FB
% M is the matrix of the analysis FB
% Hcurt is a matrix describing the analysis FB
%
% Example :
%  N=8; k=3; k2=7/4;
%  [Mcurt,P1,P2,M,Hcurt]=FB_gen_sym(N,k,k2);
%
% See also FB_GEN, FB_REAL2CMPLX.
%
% Input:        N, k (int), k2 (double)
% Optional:     M (array of double/complex), ha (vector of double/complex)
% Output:       Hcurt, Mcurt, M (array of double/complex), P1, P2 (int)
% Uses:         
% Used in:
% Comments:
% Notes:
% Created:      2008/10/17
% Modified:     
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
