% FB_optim_grad: Optimization of synthesis FB using gradient algorithm.
% Mcurt2=FB_optim_grad(Hcurt,Mcurt,N,k2,P1,P2,dis)
%
% FB_optim_grad: This function performs the optimization of the synthesis
% FB using a cost function on impulse responses aiming at concentrating
% them.
%
% Hcurt is a matrix describing the analysis FB (see FB_GEN for details)
% Mcurt is a matrix describing one synthesis FB (see FB_GEN for details)
% N is the downsampling factor 
% k2 is the redundancy factor (k' in articles)
% P1,P2 are the overlapping factors for the synthesis FB
% dis (optional) is an integer, if it's value is not 0 then it will display
% the value of the cost function during optimization.
%
% Example :
%  N=8; k=3; k2=7/4;
%  [Mcurt,P1,P2,M,Hcurt]=FB_gen(N,k,k2);
%  Mcurt2=FB_optim_grad(Hcurt,Mcurt,N,k2,P1,P2,1);
%
% See also FB_GEN, FB_OPTIM_IMPUL.
%
% Input:        Hcurt, Mcurt (array of double/complex), N, P1,P2, dis (int), 
%               k2 (double)
% Optional:     dis (int)
% Output:       Mcurt2 (array of double/complex)
% Uses:         gradOptim, cent7
% Used in:
% Comments:
% Notes:
% Created:      2007/08/28
% Modified:      
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
