% FB_real2cmplx: Converts real coefficients into their complex polyphase equivalent
% [Mcurt,Hcurt]=FB_real2cmplx(McurtR,N,k,k2,P1,P2,M)
%
% FB_real2cmplx: This function is supposed to be used after FB_gen_sym to
% build the symmetric complex filter bank from the real coefficients.
%
% Inputs:
% McurtR is the matrix of real coefficients
% N is the downsampling factor 
% k oversampling factor
% k2 is the redundancy factor (k' in articles)
% M is the matrix of the analysis FB
% Outputs:
% Mcurt is a matrix describing one synthesis FB
% P1, P2 are the overlapping factors for the synthesis FB
% M is the matrix of the analysis FB
% Hcurt is a matrix describing the analysis FB
%
% Example :
%  N=8; k=3; k2=7/4;
%  [McurtR,P1,P2,M,HcurtR]=FB_gen_sym(N,k,k2);
%  [Mcurt,Hcurt]=FB_real2cmplx(McurtR,N,k,k2,P1,P2,M);
%
% See also FB_GEN_SYM, FB_CMPLX2REAL.
%
% Input:        N, k (int), k2 (double)
% Optional:     M (array of double/complex), ha (vector of double/complex)
% Output:       Hcurt, Mcurt, M (array of double/complex), P1, P2 (int)
% Uses:         
% Used in:
% Comments:
% Notes:
% Created:      2008/10/17
% Modified:     
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@gmail.com
%   Institution: IFP, Technology Department
%   (c) All right reserved
