% FB_sym: Creation of a symmetric FB from a non symmetric synthesis FB.
% McurtSym=FB_sym(Mcurt,N,k2,P1,P2)
%
% FB_sym: This function operates under the assumption that the analysis FB
% has the Hermitian symmetry property. Using an already computed synthesis
% FB it generates a symmetric FB.
%
% Mcurt is a matrix describing one synthesis FB (see FB_gen for details)
% N is the downsampling factor 
% k2 is the redundancy factor (k' in articles)
% P1, P2 are the overlapping factors for the synthesis FB 
%
% Example :
%  N=8; k=3; k2=7/4;
%  [Mcurt,P1,P2,M,Hcurt]=FB_gen(N,k,k2);
%  McurtSym=FB_sym(Mcurt,N,k2,[P1,P2]);
%
% See also FB_GEN.
%
% Input:        Mcurt (double/complex array), N, P1, P2  (int), k2 (double)
% Optional:     
% Output:       Mcurt2 (array of double/complex)
% Uses:         
% Used in:
% Comments:
% Notes:
% Created:      2007/08/28
% Modified:      
%
%   Authors: Laurent C. Duval, laurent.duval@ifp.fr
%            Jrme Gauthier, jerome.gauthier@ifp.fr
%   Institution: IFP, Technology Department
%   (c) All right reserved
