clear all;
close all;
disp('Demo script for FB building/optimization functions.')

% Parameters:
N=8; 
k=3; 
k2=7/4;

disp('Synthesis FB using Pseudo Inverse')
[Mcurt,P1,P2,M,Hcurt]=FB_gen(N,k,k2);
htilde=polyphase2impul(N,k,k2,P1,P2,Mcurt,1);
disp('Press enter to continue...');
pause

disp('Symmetric version of Mcurt')
McurtSym=FB_sym(Mcurt,N,k2,P1,P2);
htilde=polyphase2impul(N,k,k2,P1,P2,McurtSym,1);
[McurtR,HcurtR]=FB_cmplx2real(McurtSym,N,k,k2,P1,P2,M);
disp('Press enter to continue...');
pause

disp('Direct construction of a Symmetric FB')
[McurtR2,P1,P2,M,HcurtR2]=FB_gen_sym(N,k,k2);
[McurtSym2,HcurtSym2]=FB_real2cmplx(McurtR2,N,k,k2,P1,P2,M);
htilde=polyphase2impul(N,k,k2,P1,P2,McurtSym2,1);
disp('Press enter to continue...');
pause

disp('Optimization of the frequency responses in the symmetric case')
Mcurt2=FB_optim_freq_sym(HcurtR2,McurtR2,N,k,k2,P1,P2);
htilde=polyphase2impul(N,k,k2,P1,P2,Mcurt2,1);

